import { core, flags, SfdxCommand } from "@salesforce/command";
import { AnyJson } from "@salesforce/ts-types";
export default class Create extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.String>;
        description: flags.Discriminated<flags.String>;
        licensetype: flags.Discriminated<flags.String>;
        apexclass: flags.Discriminated<flags.String>;
        clonefrom: flags.Discriminated<flags.String>;
    };
    protected static requiresDevhubUsername: boolean;
    run(): Promise<AnyJson>;
    getSandboxId(conn: core.Connection, name: string): Promise<any>;
}
