import { AnyJson } from "@salesforce/ts-types";
import { flags, SfdxCommand } from "@salesforce/command";
export default class Login extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        username: flags.Discriminated<flags.String>;
        password: flags.Discriminated<flags.String>;
        securitytoken: flags.Discriminated<flags.String>;
        url: flags.Discriminated<flags.Url>;
        alias: flags.Discriminated<flags.String>;
    };
    loginUrl: string;
    password: string;
    run(): Promise<AnyJson>;
}
