import { flags, SfdxCommand } from "@salesforce/command";
import { AnyJson } from "@salesforce/ts-types";
export default class Create extends SfdxCommand {
    connectedapp_consumerKey: string;
    connectedapp_certificate: string;
    connectedapp_label: string;
    connectedapp_email: string;
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.String>;
        pathtocertificate: flags.Discriminated<flags.String>;
        email: flags.Discriminated<flags.String>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected static requiresUsername: boolean;
    run(): Promise<AnyJson>;
    createConsumerKey(): string;
}
