import { flags, SfdxCommand } from "@salesforce/command";
import { AnyJson } from "@salesforce/ts-types";
export default class Delete extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static requiresDevhubUsername: boolean;
    protected static flagsConfig: {
        email: flags.Discriminated<flags.String>;
        username: flags.Discriminated<flags.String>;
        ignorepool: flags.Discriminated<flags.Boolean<boolean>>;
        dryrun: flags.Discriminated<flags.Boolean<boolean>>;
    };
    run(): Promise<AnyJson>;
    private getActiveScratchOrgsForUser;
    private getOrgIdOfPooledScratchOrgs;
}
